## GwySelectionRectangle

GwySelectionRectangle — Rectangle selection

## Functions

GwySelection * | gwy_selection_rectangle_new ()

## Types and Values

struct | GwySelectionRectangle
struct | GwySelectionRectangleClass

## Object Hierarchy

        GObject
        ╰── GwySelection
            ╰── GwySelectionRectangle

## Implemented Interfaces

GwySelectionRectangle implements GwySerializable.

## Includes

    #include <libgwyddion/gwyddion.h>

## Description

GwySelectionRectangle represents rectangles. Selection data consist of quadruples of coordinates (x₀, y₀, x₁, y₁), where 0 and 1 denote two opposite corners of the rectangle. It may any pair corners, as long as the two are opposite.

## Functions

### gwy_selection_rectangle_new()

    GwySelection *
    gwy_selection_rectangle_new (void);

Creates a new rectangle selection.

#### Returns

A new selection object.

## Types and Values

### struct GwySelectionRectangle

    struct GwySelectionRectangle;

### struct GwySelectionRectangleClass

    struct GwySelectionRectangleClass {
        GwySelectionClass parent_class;
    };